Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000194Core InformSpacing and printingpublic2010-07-08 14:262010-10-28 00:30
Assigned Tograham 
Platformx86OSWindowsOS VersionXP
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000194: Text substitutions [is-are a/the/- list of ...] print "nothing" instead of "is nothing" for empty lists
DescriptionWhen printing an empty list by using one of the three text subtitutions [is-are a list of <description>], [is-are the list of <description>], or [is-are list of <description>] the output is "nothing" when "is nothing" is expected.
Minimal Source Text To Reproduce
Home is a room.

The table is a supporter in Home.

When play begins: say "On the table [is-are a list of things on the table]."
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
ChristianB (reporter)
2010-07-08 16:31

While we're at it: shouldn't [A list of ...] and [The list of ...] be printing "nothing" capitalized ("Nothing")?
graham (administrator)
2010-09-01 14:06

It's probably best to file two bug reports rather than add "while we're at it" notes, please, but both these issues were clearly worth fixing, and I've done so.

- Issue History
Date Modified Username Field Change
2010-07-08 14:26 ChristianB New Issue
2010-07-08 14:30 jmcgrew Status new => confirmed
2010-07-08 16:31 ChristianB Note Added: 0000271
2010-09-01 14:06 graham Note Added: 0000484
2010-09-01 14:06 graham Status confirmed => resolved
2010-09-01 14:06 graham Resolution open => fixed
2010-09-01 14:06 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker